local VERSION = tonumber(("$Revision: 41261 $"):match("%d+"))

if uab.revision < VERSION then
	uab.version = "r" .. VERSION
	uab.revision = VERSION
	uab.date = ("$Date: 2007-06-22 08:09:07 -0400 (Fri, 22 Jun 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local uabStatus_Default = uabUnitStatus:NewModule("Default")
uabStatus_Default.defaultDB = {
    disabled = nil,
    priority = 50,
    color = { r = 1,    g = 1,    b = 1, a = 1, },
    classfilter = {
        druid = true,
        hunter = true,
        mage = true,
        paladin = true,
        priest = true,
        rogue = true,
        shaman = true,
        warlock = true,
        warrior = true,
    },
}

function uabStatus_Default:OnInitialize()
    self.super.OnInitialize(self)

	self:RegisterUnitStatus(self.name)
end

function uabStatus_Default:OnEnable()
end

function uabStatus_Default:OnDisable()
end

function uabStatus_Default:IsStatusGained(name, unit, action)
    local class = self:GetUnitClass(unit)
    
    if not class or self.db.profile.classfilter[class] then
    	if name == self.name then
    		return true
    	end
    end
end

function uabStatus_Default:CreateUnitStatusOptions()
    return self:CreateUnitStatusOption(self.db.profile, "Default", "Default", true)
end
